Subject: Re: bug#12314: 24.2.50; `add-to-history': use `setq' with `delete'

From: Stefan Monnier <[email-masked]>
Date: Sun, 09 Sep 2012 17:37:53 -0400

>> > I meant "why does it matter FOR THE USER that the modification was
>> > destructive?"  Users don't care about optimizations, they only care
>> > about performance.
>> Because this optimization improves performance,
> But this optimization was already done.  We don't tell users in the
> manuals about each and every optimization we do to improve
> performance, do we?

I don't understand the question: the user of delete/delq/nconc (the one
reading their docstring or their texinfo doc) is the person
reading/writing the code, and the optimization is the act of choosing
delete over remove or delq over remq or nconc over append, which is
exactly what the reader will want to know, I think.

        Stefan